import _axios from "@/utils/request";
export default {
  // 转让人/受让人列表
  transferUserList: (data) =>
    _axios.fetch("/copyright/transfer/user-list", data, "POST"),
  // 导入合同用户
  transferImportUser: (data) =>
    _axios.fetch(
      "/copyright/transfer/import-user",
      data,
      "POST",
      "json",
      "multipart/form-data",
      true,
      true
    ),
  // 导入合同
  transferImportContract: (data) =>
    _axios.fetch(
      "/copyright/transfer/import-contract",
      data,
      "POST",
      "json",
      "multipart/form-data",
      true,
      true
    ),
  // 身份证ocr识别
  cartInfo: (data) =>
    _axios.fetch(
      "/ocr/card-info",
      data,
      "POST",
      "json",
      "multipart/form-data",
      true,
      true
    ),
  // 转/受让人新增编辑
  transferUpdateUser: (data) =>
    _axios.fetch("/copyright/transfer/update-user", data, "POST"),
  // 编辑合同
  transferUpdateContract: (data) =>
    _axios.fetch("/copyright/transfer/update-contract", data, "POST"),
  // 合同列表
  transferContractList: (data) =>
    _axios.fetch("/copyright/transfer/contract-list", data, "POST"),
  // 合同转让
  transferCopyrightTransfer: (data) =>
    _axios.fetch("/copyright/transfer/copyright-transfer", data, "POST"),
  // 转让记录
  transferRecord: (data) =>
    _axios.fetch("/copyright/transfer/transfer-record", data, "POST"),
  // 删除合同
  transferDelcontract: (data) =>
    _axios.fetch("/copyright/transfer/del-contract", data, "POST"),
  // 合同详情
  transferContractDetail: (data) =>
    _axios.fetch("/copyright/transfer/contract-detail", data, "POST"),
  // 更新合同用户
  transferUpdateContractUser: (data) =>
    _axios.fetch("/copyright/transfer/update-contract-user", data, "POST"),
};
